package cz.moneta.test.dsl.cagw.api.v1.external.service.voicebot;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.api.v1.external.service.voicebot.voicepassworddetail.VoicePasswordDetail;
import cz.moneta.test.harness.endpoints.cagw.CaGwEndpoint;
import cz.moneta.test.harness.support.rest.Builders;
import cz.moneta.test.harness.support.rest.RestRequest;

public class VoicebotBuilder {
    private final Harness harness;

    public VoicebotBuilder(Harness harness) {
        this.harness = harness;
    }

    public VoicePasswordDetail prepareVoicePasswordDetailApi() {
        return getBuilder(VoicePasswordDetail.class);
    }

    private <RESP, B extends RestRequest<B, ?, RESP>> B getBuilder(Class<B> builderClass) {
        return Builders.newRestBuilder(builderClass, CaGwEndpoint.class, harness);
    }
}
